%define PACKAGES_DIR xemacs-packages
%define PREFIX /usr/lib/xemacs/xemacs-packages

Summary: The Sumo package of elisp modules for XEmacs
Name: xemacs-sumo
Version: 0730
Release: 1a
Copyright: GPL
Group: Applications/Editors/Emacs
#Packager: Kaoru Fukui <k_fukui@highway.ne.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Source0: xemacs-sumo.tar.gz
Source1: w3-1.14-pkg.tar.gz
Patch0:  xemacs-sumo-bbdb.patch

Requires    : glibc >= 2.0.108
Vendor      : Japanese PPC Linux Users' Group
Distribution: unofficial JRPM (public beta)

Url:http://www.xemacs.org/
BuildRoot: /var/tmp/%{PACKAGES_DIR}-root

%description
This package contains elisp modules for XEmacs: xemacs-21.0/xemacs-21.2.
The package consists of three parts:
- xemacs-sumo-%{version}	: the main part
- xemacs-sumo-el-%{version}	: elisp source files (optional)
- xemacs-sumo-info-%{version}	: info, pkginfo, and man 

%package el 
Summary: Source files for Xemacs lisp mudules
Group: Applications/Editors/Emacs

%description el
This package contains elisp source files for the precompiled
elisp modules in the main package. This package is optional
and is unnecessary to run XEmacs.

%package info
Summary: Info, man, and other documentation for the sumo package
Group: Applications/Editors/Emacs

%description info
This package contains info, man, and other documentation
about the sumo elisp modules.


%prep
%setup -q -n %{PACKAGES_DIR} -a 1
%patch0 -p1


%build


%install

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}

cd   $RPM_BUILD_DIR/%{PACKAGES_DIR}

gzip -n -9f ./info/*.inf*

tar cvf packages.tar etc/* lisp/* man/* pkginfo/* info/* lib-src/*
tar xvf packages.tar  -C $RPM_BUILD_ROOT%{PREFIX}
rm -fr  packages.tar


find $RPM_BUILD_ROOT%{PREFIX}/etc -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > all.filelist.in
find $RPM_BUILD_ROOT%{PREFIX}/lisp -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> all.filelist.in
find $RPM_BUILD_ROOT%{PREFIX}/lib-src -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> all.filelist.in
sort < all.filelist.in >all.filelist


find $RPM_BUILD_ROOT%{PREFIX}/lisp  -name "*.elc" |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > elc.filelist.in
sed  -e  "s/.elc/.el/g"  < elc.filelist.in | sort > el.filelist.tmp

## not find vm.el so need the job
sed  -e "/vm.el/D"  < el.filelist.tmp > el.filelist

##sed  -e "s/vm.el/xx/g D"  < el.filelist.tmp > el.filelist


diff -yibw --width=240 --suppress-common-lines  all.filelist el.filelist | \
sed -e  "s/</ /g"  |sed -e  "s/ //g"   > rpm.filelist

find $RPM_BUILD_ROOT%{PREFIX}/info -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  > info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/man -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist
find $RPM_BUILD_ROOT%{PREFIX}/pkginfo -type f -or -type l |
          sed  -e "s#^$RPM_BUILD_ROOT##"  >> info.filelist

chown -R root:root $RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

#======================================
%files -f rpm.filelist 

%files -f el.filelist   el

%files -f info.filelist info

%changelog
* Mon Oct 18 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to 1999-07-30

* Fri Jun 25 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- modified destination prefix.
- updated to 1999-05-13

* Thu Mar 04 1999 Kaoru Fukui <fukui@ppc.linux.or.jp>
- add fixed w3-1.13-pkg.tar.bz2

* Tue Mar 02 1999 Kaoru Fukui <fukui@ppc.linux.or.jp>
- update 1999-03-01

* Thu Feb 11 1999  Kaoru Fukui <fukui@ppc.linux.or.jp>
- create this rpm.spec file for xemacs-sumo.



